{ lib, ... }:
{
  options.khscodes.khs.shell = {
    aliases = lib.mkOption {
      type = lib.types.attrsOf lib.types.str;
      description = "Shell aliases to be copied to different shells";
      default = {
        add = "git add";
        commit = "git commit";
        st = "git status";
        push = "git push";
        puff = "git puff";
        pull = "git pull";
        purr = "git purr";
      };
    };
  };
}
